Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569089 - Packages are not searchable/installable by yum
Summary: Packages are not searchable/installable by yum
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yum
Version: 7.4
Hardware: All
OS: All
unspecified
high
Target Milestone: rc
: 7.4
Assignee: Packaging Maintenance Team
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 15:16 UTC by Lukas Svaty
Modified: 2018-11-26 09:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 09:56:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lukas Svaty 2018-04-18 15:16:27 UTC
Description of problem:
Some packages from OCP repository are not installable by yum, maybe some metadata is missing?

Version-Release number of selected component (if applicable):
atomic-openshift = 3.9.14-1.git.0.4efa2ca.el7 is needed by atomic-openshift-node-3.9.14-1.git.0.4efa2ca.el7.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Run viaq playbooks
.

Actual results:
ViaQ playbook fail on packages check:

Errors from dependency resolution:
                 atomic-openshift-node-3.9.14-1.git.0.4efa2ca.el7.x86_64 requires atomic-openshift = 3.9.14-1.git.0.4efa2ca.el7
                 atomic-openshift-master-3.9.14-1.git.0.4efa2ca.el7.x86_64 requires atomic-openshift = 3.9.14-1.git.0.4efa2ca.el7
               You should resolve these issues before proceeding with an install.
               You may need to remove or downgrade packages or enable/disable yum repositories.

Same result for atomic-openshift and atomic-openshift-clients

Expected results:
should be installable by yum, as ViaQ playbooks are installing them

Additional info:
WA: installable by rpm -ivh with direct link

Comment 2 Rich Megginson 2018-04-18 15:27:52 UTC
Does it work if you do a 

    yum clean all


first?

Comment 3 Lukas Svaty 2018-04-19 14:06:40 UTC
# yum clean all
# rm -rf /var/cache/yum
# yum install atomic-openshift-node
...
No package atomic-openshift-node available.

Comment 4 Rich Megginson 2018-04-19 14:22:41 UTC
(In reply to Lukas Svaty from comment #3)
> # yum clean all
> # rm -rf /var/cache/yum
> # yum install atomic-openshift-node
> ...
> No package atomic-openshift-node available.

yum search atomic-openshift

Comment 5 Lukas Svaty 2018-04-19 16:16:42 UTC
It seems only some packages are affected
# yum search atomic-openshift

atomic-openshift.x86_64 : Open Source Container Management by Red Hat
atomic-openshift-clients.x86_64 : Origin Client binaries for Linux
atomic-openshift-cluster-capacity.x86_64 : Origin Cluster Capacity Analysis Tool
atomic-openshift-docker-excluder.noarch : Exclude docker packages from updates
atomic-openshift-dockerregistry.x86_64 : TODO
atomic-openshift-excluder.noarch : Exclude openshift packages from updates
atomic-openshift-federation-services.x86_64 : %{produce_name} Federation Services
atomic-openshift-service-catalog.x86_64 : Origin Service Catalog
atomic-openshift-template-service-broker.x86_64 : Template Service Broker
atomic-openshift-utils.noarch : Atomic OpenShift Utilities
atomic-openshift-web-console.x86_64 : Web Console for the OpenShift Application Platform

Comment 6 Rich Megginson 2018-04-19 16:46:17 UTC
I don't know what the problem is, but this isn't an OpenShift logging bug.

Reassigning to the RHEL7 yum component.

Alternately, see if you can get IT to regenerate the pulp yum repo.

Comment 8 Karel Srot 2018-11-12 08:10:37 UTC
This is most probably a repo issue. Could you check respective repodata under /var/cache/yum directory to find out whether those packages are available in primary.xml?

Comment 9 Lukas Svaty 2018-11-21 09:27:19 UTC
Hi Karel,

Sorry to say, I don't have the environment available anymore. Feel free to close as INSUFFICIENT_DATA, if anyone will reproduce, we can reopen.

Comment 10 Michal Domonkos 2018-11-26 09:56:28 UTC
This is unlikely to be a yum issue.  I'm closing it now as suggested in Comment 9.  If you reproduce it again, please reopen (and include the information requested in Comment 8 if possible).


Note You need to log in before you can comment on or make changes to this bug.